# RPM specfile for gtkmm module
# Generated Wed Apr  3 15:25:22 2002 GMT by Ximian build system
# $Id: bb_do,v 1.182 2002/03/26 20:35:26 dave Exp $
# from $Id: ximian-build.conf,v 1.22 2002/03/27 20:30:11 dobey Exp $

%define nam	gtkmm
%define ver	1.2.8
%define ximrev	4

Name:     	gtkmm
Version: 	1.2.8
Release:	1.ximian.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.2 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://gtkmm.sourceforge.net/
Source0:	gtkmm-1.2.8.tar.gz
Summary:	C++ bindings for GTK+
Group:		System Environment/Libraries
Provides:	ximian-gtkmm = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description

C++ Lanugage bindings for the Gimp ToolKit.


%files
%defattr(-, root, root)
%doc INSTALL NEWS TODO README
/opt/gnome/lib/lib*.so.*
/opt/gnome/lib/gtkmm/proc
/opt/gnome/bin/gtkmmconvert


%post
ldconfig

%postun
ldconfig

%package -n gtkmm-devel
Summary:	C++ bindings for GTK+
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	gtk+-devel
Requires:	libsigc++-devel
Provides:	ximian-gtkmm-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gtkmm-devel

C++ Lanugage bindings for the Gimp ToolKit.


%files -n gtkmm-devel
%defattr(-, root, root)
/opt/gnome/lib/lib*.la
/opt/gnome/lib/lib*.so
/opt/gnome/lib/gtkmm/include
/opt/gnome/include/*
/opt/gnome/bin/gtkmm-config
/opt/gnome/share/aclocal/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkmm-1.2.8
    ;;
all)
%setup  -q -n gtkmm-1.2.8
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 3 2002 Ximian, Inc.

- Version: 1.2.8-1.ximian.4
- Summary: New build.
- New automated build.

